Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,730,673 Members 41,586 Now Online
XDA Developers Android and Mobile Development Forum

Help: Cannot use software that require .net compact 2.0

Tip us?
 
poo1009
Old
#1  
Senior Member - OP
Thanks Meter 5
Posts: 106
Join Date: Feb 2006
Default Help: Cannot use software that require .net compact 2.0

I've install .net compact framework 2.0 in my XDA neo (lastest WM5 Dopod ROM AKU2.0).

Once, I install the program that require the .net, it cannot be open and have an error message like this:

An unexpected error has ocuured in
xxxxxx.exe
Select Quit and then restart this
program, or select details for more
information.

But, when I boot in safemode (by SPB pocketplus plugin) I can open that program correctly without any error!!!

It cannot be used in normal mode but it can be in safemode.

I've tried both install the .net in SD card or in Device, but the results are the same.

Could anyone help me? What's wrong on my device or anybody have the same problem like me?

Thanks in advance, guy.
 
levenum
Old
#2  
levenum's Avatar
Retired Moderator
Thanks Meter 17
Posts: 1,548
Join Date: Jul 2005
First, it would help if you click 'details' and tell us what you see.
From what you wrote it is clear that the problem is not with CF 2 but with the particular app conflicting with one of the programs your device runs on start up.
What kind of plugins / utilities do you have that run in background? Try removing them one by one to see where the problem lies.

Also if you have a backup of your data, try hard resetting then installing on a clean device.
HP iPaq rz1710
ROM 1.00.05 ENG from 22/6/2004

i-mate Jamin (Prophet G3)
WM6 - PDAViet 4.0.0.0.6 Touch


My apps:
LVMTime | LVMTopBat | RegDisplay

 
poo1009
Old
#3  
Senior Member - OP
Thanks Meter 5
Posts: 106
Join Date: Feb 2006
detail of error are:

A6.Times.exe
PlatformNotSupportedException

at
System.Globalization.CompareInfo..ctor(
)
at
System.Globalization.CompareInfo.GetC
ompareInfo()
at
System.Globalization.CultureInfo.get_Co
mpareInfo()
at
System.Globalization.CultureInfo.GetHas
hCode()
at
System.Collection.Hashtable.GetHash()
at
System.Collection.Hashtable.InitHash()
at
System.Collection.Hashtable.get_Item(
)
at
System.Resources.ResourceManager.Int
ernalGetResourceSet()
at
System.Resources.ResourceManager.Ge
tObject()
at
System.Resources.ResourceManager.Ge
tObject()
at
A6.Books.BookNavigatorControl.Initialize
omponent()
at
A6.Books.BookNavigatorControl..ctor()
at
A6.Books.BookControl.InitializeCompone
nt()
at A6.Books.BookControl..ctor()
at A6.Times.NewspaperControl..ctor()
at
A6.Times.NewspaperForm.InitializComp
onent()

About HR, I plan to do it again this weekend. And I will install .net CF first then this program and test, and I will install each program after and test one by one. But, if it possible I want to know what's a problem before I do that.

Thanks guy for recommending.
 
levenum
Old
#4  
levenum's Avatar
Retired Moderator
Thanks Meter 17
Posts: 1,548
Join Date: Jul 2005
What language is your device in?
This error sometimes occurs on regional settings that are not originally supported by the device.
Try changing you regional settings to English and see if it goes away.
HP iPaq rz1710
ROM 1.00.05 ENG from 22/6/2004

i-mate Jamin (Prophet G3)
WM6 - PDAViet 4.0.0.0.6 Touch


My apps:
LVMTime | LVMTopBat | RegDisplay

 
kurt1988
Old
#5  
Junior Member
Thanks Meter 0
Posts: 10
Join Date: Mar 2009
if i wan to view chinese leh?
coz if i din change the region to chinese,
when i play chinese file name in coreplayer.. it will show @*&#$#...
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes